package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability1475/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkMerchantRoutingRegisterRequest struct {
	/*
	   接口入参     */
	MerchantRoutingInfoRegister *domain.AlibabaWdkMerchantRoutingRegisterMerchantRoutingInfoRegisterDo `json:"merchant_routing_info_register" required:"true" `
}

func (s *AlibabaWdkMerchantRoutingRegisterRequest) SetMerchantRoutingInfoRegister(v domain.AlibabaWdkMerchantRoutingRegisterMerchantRoutingInfoRegisterDo) *AlibabaWdkMerchantRoutingRegisterRequest {
	s.MerchantRoutingInfoRegister = &v
	return s
}

func (req *AlibabaWdkMerchantRoutingRegisterRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.MerchantRoutingInfoRegister != nil {
		paramMap["merchant_routing_info_register"] = util.ConvertStruct(*req.MerchantRoutingInfoRegister)
	}
	return paramMap
}

func (req *AlibabaWdkMerchantRoutingRegisterRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
